<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.modcluster.proxy.ssl.configuration">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="ca-certificate-file,ca-revocation-url,certificate-key-file,cipher-suite,key-alias,password,protocol"/>
        <elem name="addr-params" value="profile,subsystem,proxy,ssl"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.modcluster"/>
    </annotation>
    <refs>
        <ref feature="subsystem.modcluster.proxy"/>
        <ref feature="subsystem.modcluster"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="proxy" feature-id="true"/>
        <param name="password" nillable="true"/>
        <param name="protocol" nillable="true"/>
        <param name="key-alias" nillable="true"/>
        <param name="cipher-suite" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="modcluster"/>
        <param name="certificate-key-file" nillable="true"/>
        <param name="ca-certificate-file" nillable="true"/>
        <param name="ssl" feature-id="true" default="configuration"/>
        <param name="ca-revocation-url" nillable="true"/>
    </params>
</feature-spec>